package level.blocks;

import javafx.scene.control.ContentDisplay;
import javafx.scene.control.cell.ComboBoxListCell;

/**
 * A List Cell for a block type selection combo box.
 */
public class BlockTypeListCell extends ComboBoxListCell<Block> {

	{
		super.setPrefWidth(200);
		super.setContentDisplay(ContentDisplay.LEFT);
	}

	@Override
	public void updateItem(final Block pBlock, final boolean pEmpty) {
		super.updateItem(pBlock, pEmpty);
		if (pBlock != null && !pEmpty) {
			setText(pBlock.getTypeString());
			setGraphic(pBlock.clone());
		} else {
			setText(null);
			setGraphic(null);
		}
	}
}
